<#import "/spring.ftl" as spring />
<#assign xhtmlCompliant = true in spring>

<title>MyUsers ~ User Details</title>

<@spring.bind "user.*"/> 
<#if spring.status.error>
<div class="error">
    <#list spring.status.errorMessages as error>
        ${error}<br/>
    </#list>
</div>
</#if>

<p>Please fill in user's information below:</p>
  
<form method="post" action="<@spring.url '/editUser.html'/>">
<@spring.formHiddenInput "user.id"/>
<table>
<tr>
    <th><label for="firstName"><@spring.message "user.firstName"/><label>:</th>
    <td>
        <@spring.formInput "user.firstName", 'id="firstName"'/>
        <span class="fieldError">${spring.status.errorMessage}</span>
    </td>
</tr>
<tr>
    <th><label for="lastName"><@spring.message "user.lastName"/></label>:</th>
    <td>
        <@spring.formInput "user.lastName", 'id="lastName"'/>
        <span class="fieldError">${spring.status.errorMessage}</span>
    </td>
</tr>
<tr>
    <td></td> 
    <td>
        <input type="submit" class="button" name="save" value="Save"/>
      <#if user.id?exists>
        <input type="submit" class="button" name="delete" value="Delete"/>
      </#if>
        <input type="submit" class="button" name="cancel" value="Cancel"/>
    </td>
</table>
</form>
